Subject: Re: ${path[@]} in sh mode [was: Segfault with zsh 5.2]
From: Martijn Dekker <[email-masked]>
To: Peter Stephenson <[email-masked]>, [email-masked]
Date: Fri, 22 Jan 2016 20:45:45 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Martijn Dekker schreef op 22-01-16 om 20:12:
> Peter Stephenson schreef op 07-12-15 om 14:36:
>> Change now pushed.
> 
> Can the ${path[@]} array be disabled in sh mode? I just noticed that it
> auto-syncs with the system $PATH. Lowercase "path" is a perfectly normal
> variable name in other shells and is a common English word, so conflicts
> that result in corruption of $PATH are not unlikely when running scripts
> written using other shells.

Never mind: it is disabled when zsh is launched as sh (but not when
launched as zsh and then executing 'emulate sh'). So I suppose it was
decided long before that disabling it post-launch is not feasible. Sorry
for the noise.

- M.